# Class yii\apidoc\helpers\ApiMarkdownLaTeX

Inheritance | yii\apidoc\helpers\ApiMarkdownLaTeX » cebe\markdown\latex\GithubMarkdown
Uses Traits | yii\apidoc\helpers\ApiMarkdownTrait
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/ApiMarkdownLaTeX.php

A Markdown helper with support for class reference links.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$renderer | yii\apidoc\renderers\BaseRenderer |  | yii\apidoc\helpers\ApiMarkdownLaTeX

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$renderingContext |  |  | yii\apidoc\helpers\ApiMarkdownLaTeX

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
process() | Converts markdown into HTML | yii\apidoc\helpers\ApiMarkdownLaTeX

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
consumeQuote() | Consume lines for a blockquote element | yii\apidoc\helpers\ApiMarkdownTrait
parseApiLinkForContext() | Attempts to parse an API link for the given context. | yii\apidoc\helpers\ApiMarkdownTrait
parseApiLinks() |  | yii\apidoc\helpers\ApiMarkdownTrait
renderApiLink() |  | yii\apidoc\helpers\ApiMarkdownLaTeX
renderBrokenApiLink() |  | yii\apidoc\helpers\ApiMarkdownLaTeX
renderQuote() | Renders a blockquote | yii\apidoc\helpers\ApiMarkdownLaTeX
translateBlockType() |  | yii\apidoc\helpers\ApiMarkdownLaTeX

## Property Details

$renderer public static property
public static yii\apidoc\renderers\BaseRenderer $renderer = null
$renderingContext protected property
protected $renderingContext = null

## Method Details

process() public static method

Converts markdown into HTML

public static string process ( $content, $context = null, $paragraph = false )
$content | string |
$context | yii\apidoc\models\TypeDoc |
$paragraph | boolean |

renderApiLink() protected method

protected void renderApiLink ( $block )
$block |  |

renderBrokenApiLink() protected method

protected void renderBrokenApiLink ( $block )
$block |  |

renderQuote() protected method

Renders a blockquote

protected void renderQuote ( $block )
$block |  |

translateBlockType() protected method (available since version 2.0.5)

protected void translateBlockType ( $type )
$type |  |